
#ifndef SESSIONFILEMANAGER_20071125_H_
#define SESSIONFILEMANAGER_20071125_H_

#include <QString>

struct SessionFileHeader;
struct SessionFileFooter;

class SessionFileManager {
public:
	SessionFileManager();
	void saveSessionData(const QString &filename, const QString &executable);
	void loadSessionData(const QString &filename);
	
private:
	bool checkHeader(struct SessionFileHeader &header);
	bool checkFooter(struct SessionFileFooter &footer);
};

#endif

